Bug 29423 - Migrate from PyGTK to PyGObject introspection-based bindings
Summary: Migrate from PyGTK to PyGObject introspection-based bindings
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-farsight (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-06 09:41 UTC by Andre Klapper
Modified: 2011-04-07 11:08 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2010-08-06 09:41:26 UTC
Grep'ing for pygtk-2.0 it seems that this module uses the stable bindings provided by PyGTK according to configure.ac in Git master.

As it is unlikely that anybody will continue maintaining these stable bindings, applications using PyGTK should be ported to using the dynamic Python bindings provided by PyGObject (now that PyGI has been merged into PyGObject).
The feedback on migration provided by application maintainers will also help PyGObject to improve its dynamic bindings.

Please see http://live.gnome.org/GnomeGoals/PythonIntrospectionPorting for more information and guidelines.

For help there is a mailing list at http://www.daa.com.au/mailman/listinfo/pygtk . For getting involved in the development of pygobject there is a mailing list at http://mail.gnome.org/mailman/listinfo/python-hackers-list . There is also the #python IRC channel on irc.gimp.net.


./farsight2-0.0.12/configure.ac:
     PKG_CHECK_MODULES(PYCODEGEN, [ pygtk-2.0 >= 2.10 ],
Comment 1 Olivier Crête 2011-04-07 11:08:07 UTC
Now it uses pygobject...

Future versions will use introspection


bug/show.html.tmpl processed on Oct 01, 2016 at 19:00:59.
(provided by the Example extension).